ExtraFieldUtils.UnparseableExtraField (Apache Ant API)
Description: declaration: package: org.apache.tools.zip, class: ExtraFieldUtils, class: UnparseableExtraField

Package org.apache.tools.zip

# Class ExtraFieldUtils.UnparseableExtraField

java.lang.Object
org.apache.tools.zip.ExtraFieldUtils.UnparseableExtraField

Enclosing class:
  `ExtraFieldUtils`

public static final class ExtraFieldUtils.UnparseableExtraField extends Object
"enum" for the possible actions to take if the extra field cannot be parsed.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ExtraFieldUtils.UnparseableExtraField`
  `READ`
  Read the extra field data into an instance of `UnparseableExtraFieldData`.
  `static final int`
  `READ_KEY`
  Key for "read" action.
  `static final ExtraFieldUtils.UnparseableExtraField`
  `SKIP`
  Skip the extra field entirely and don't make its data available - effectively removing the extra field data.
  `static final int`
  `SKIP_KEY`
  Key for "skip" action.
  `static final ExtraFieldUtils.UnparseableExtraField`
  `THROW`
  Throw an exception if field cannot be parsed.
  `static final int`
  `THROW_KEY`
  Key for "throw an exception" action.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getKey()`
  Key of the action to take.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### THROW_KEY

    public static final int THROW_KEY
    Key for "throw an exception" action.
    See Also:
      - Constant Field Values

  - ### SKIP_KEY

    public static final int SKIP_KEY
    Key for "skip" action.
    See Also:
      - Constant Field Values

  - ### READ_KEY

    public static final int READ_KEY
    Key for "read" action.
    See Also:
      - Constant Field Values

  - ### THROW

    public static final ExtraFieldUtils.UnparseableExtraField THROW
    Throw an exception if field cannot be parsed.

  - ### SKIP

    public static final ExtraFieldUtils.UnparseableExtraField SKIP
    Skip the extra field entirely and don't make its data available - effectively removing the extra field data.

  - ### READ

    public static final ExtraFieldUtils.UnparseableExtraField READ
    Read the extra field data into an instance of `UnparseableExtraFieldData`.

- ## Method Details

  - ### getKey

    public int getKey()
    Key of the action to take.
    Returns:
      int